//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files : 
extern const unsigned char xwing_sprite_64_left_v2_Sprite[4096] __attribute__ ((aligned (4))) ;  // Pal : xwingleft_Pal
extern const unsigned char xwing_sprite_64_right_v2_Sprite[4096] __attribute__ ((aligned (4))) ;  // Pal : xwingright_Pal
extern const unsigned char xwing_sprite_64_v4_Sprite[36864] __attribute__ ((aligned (4))) ;  // Pal : xwing_Pal
extern const unsigned char tie1_64_Sprite[4096] __attribute__ ((aligned (4))) ;  // Pal : tie1_Pal
extern const unsigned char tie2_64_Sprite[4096] __attribute__ ((aligned (4))) ;  // Pal : tie2_Pal
extern const unsigned char tie3_64_Sprite[4096] __attribute__ ((aligned (4))) ;  // Pal : tie3_Pal
extern const unsigned char explosion_Sprite[9216] __attribute__ ((aligned (4))) ;  // Pal : explosion_Pal
extern const unsigned char yellow_Sprite[64] __attribute__ ((aligned (4))) ;  // Pal : laseryellow_Pal
extern const unsigned char green_Sprite[64] __attribute__ ((aligned (4))) ;  // Pal : lasergreen_Pal
extern const unsigned char orange_Sprite[64] __attribute__ ((aligned (4))) ;  // Pal : laserorange_Pal
extern const unsigned char red_Sprite[64] __attribute__ ((aligned (4))) ;  // Pal : laserred_Pal

// Background files : 
extern const int BG3_Info[3]; // BgMode, Width, Height
extern const unsigned short BG3_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : BG3_Pal
extern const unsigned char BG3_Tiles[65536] __attribute__ ((aligned (4))) ;  // Pal : BG3_Pal
extern PAGfx_struct BG3; // background pointer


// Palette files : 
extern const unsigned short xwingleft_Pal[67] __attribute__ ((aligned (4))) ;
extern const unsigned short xwingright_Pal[64] __attribute__ ((aligned (4))) ;
extern const unsigned short xwing_Pal[115] __attribute__ ((aligned (4))) ;
extern const unsigned short tie1_Pal[37] __attribute__ ((aligned (4))) ;
extern const unsigned short tie2_Pal[24] __attribute__ ((aligned (4))) ;
extern const unsigned short tie3_Pal[21] __attribute__ ((aligned (4))) ;
extern const unsigned short explosion_Pal[15] __attribute__ ((aligned (4))) ;
extern const unsigned short laseryellow_Pal[7] __attribute__ ((aligned (4))) ;
extern const unsigned short lasergreen_Pal[7] __attribute__ ((aligned (4))) ;
extern const unsigned short laserorange_Pal[7] __attribute__ ((aligned (4))) ;
extern const unsigned short laserred_Pal[7] __attribute__ ((aligned (4))) ;
extern const unsigned short BG3_Pal[40] __attribute__ ((aligned (4))) ;


#endif

